from django.utils.translation import ugettext_lazy as _

from admin_tools.dashboard import modules

class TimereportDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': "Timereports",
            'display': "tabs",
            'children': [
                TimereportModels(),
                TimereportSettings(),
            ]
        }
        super(TimereportDashboard, self).__init__(**kwargs)

class TimereportModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Models"),
            'models': (
                'timereport.models.Transit', 'timereport.models.Employee',
                'timereport.models.Title'
            ),
        }
        super(TimereportModels, self).__init__(**kwargs)

class TimereportSettings(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Settings"),
            'models':['timereport.models.Settings',],
            }
        super(TimereportSettings, self).__init__(**kwargs)
