# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    depends_on = (
        ('organization', '0001_initial'),
    )
    def forwards(self, orm):

        # Adding model 'Employee'
        db.create_table('timereport_employee', (
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='timereport_employee_last_modifier', null=True, to=orm['auth.User'])),
            ('office', self.gf('django.db.models.fields.related.ForeignKey')(related_name='employees', to=orm['organization.Office'])),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='timereport_employee_creator', null=True, to=orm['auth.User'])),
            ('mobile', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
            ('badge', self.gf('django.db.models.fields.CharField')(max_length=15)),
            ('title', self.gf('django.db.models.fields.related.ForeignKey')(related_name='employees', to=orm['timereport.Title'])),
            ('code_tax', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=16, null=True, blank=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('phone', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('user', self.gf('django.db.models.fields.related.ForeignKey')(related_name='employee', unique=True, to=orm['auth.User'])),
            ('vat_number', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=11, null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('timereport', ['Employee'])

        # Adding model 'Title'
        db.create_table('timereport_title', (
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='timereport_title_last_modifier', null=True, to=orm['auth.User'])),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='timereport_title_creator', null=True, to=orm['auth.User'])),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=50, db_index=True)),
        ))
        db.send_create_signal('timereport', ['Title'])

        # Adding model 'Transit'
        db.create_table('timereport_transit', (
            ('status', self.gf('django.db.models.fields.IntegerField')(default=21, db_index=True)),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='timereport_transit_last_modifier', null=True, to=orm['auth.User'])),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='timereport_transit_creator', null=True, to=orm['auth.User'])),
            ('date_time_out', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_time_in', self.gf('django.db.models.fields.DateTimeField')()),
            ('employee', self.gf('django.db.models.fields.related.ForeignKey')(related_name='transits', to=orm['timereport.Employee'])),
            ('accepted', self.gf('django.db.models.fields.NullBooleanField')(db_index=True, null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('timereport', ['Transit'])

        # Adding model 'TimeProfile'
        db.create_table('timereport_timeprofile', (
            ('delta_advance', self.gf('django.db.models.fields.IntegerField')(default=15)),
            ('val_date_begin', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('time_in', self.gf('django.db.models.fields.TimeField')()),
            ('weekday', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('employee', self.gf('django.db.models.fields.related.ForeignKey')(related_name='timeprofiles', to=orm['timereport.Employee'])),
            ('time_out', self.gf('django.db.models.fields.TimeField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('val_date_end', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('delta_delay', self.gf('django.db.models.fields.IntegerField')(default=15)),
        ))
        db.send_create_signal('timereport', ['TimeProfile'])

        # Adding model 'Settings'
        db.create_table('timereport_settings', (
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='timereport_settings_last_modifier', null=True, to=orm['auth.User'])),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='timereport_settings_creator', null=True, to=orm['auth.User'])),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('value', self.gf('django.db.models.fields.CharField')(max_length=500, null=True, blank=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal('timereport', ['Settings'])


    def backwards(self, orm):

        # Deleting model 'Employee'
        db.delete_table('timereport_employee')

        # Deleting model 'Title'
        db.delete_table('timereport_title')

        # Deleting model 'Transit'
        db.delete_table('timereport_transit')

        # Deleting model 'TimeProfile'
        db.delete_table('timereport_timeprofile')

        # Deleting model 'Settings'
        db.delete_table('timereport_settings')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'organization.office': {
            'Meta': {'object_name': 'Office'},
            'code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '15'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_office_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'fax': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'organization_office_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'timereport.employee': {
            'Meta': {'object_name': 'Employee'},
            'badge': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'code_tax': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'timereport_employee_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'timereport_employee_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'mobile': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'office': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'employees'", 'to': "orm['organization.Office']"}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'title': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'employees'", 'to': "orm['timereport.Title']"}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'employee'", 'unique': 'True', 'to': "orm['auth.User']"}),
            'vat_number': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '11', 'null': 'True', 'blank': 'True'})
        },
        'timereport.settings': {
            'Meta': {'object_name': 'Settings'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'timereport_settings_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'timereport_settings_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '500', 'null': 'True', 'blank': 'True'})
        },
        'timereport.timeprofile': {
            'Meta': {'object_name': 'TimeProfile'},
            'delta_advance': ('django.db.models.fields.IntegerField', [], {'default': '15'}),
            'delta_delay': ('django.db.models.fields.IntegerField', [], {'default': '15'}),
            'employee': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'timeprofiles'", 'to': "orm['timereport.Employee']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'time_in': ('django.db.models.fields.TimeField', [], {}),
            'time_out': ('django.db.models.fields.TimeField', [], {}),
            'val_date_begin': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'val_date_end': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'weekday': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'})
        },
        'timereport.title': {
            'Meta': {'object_name': 'Title'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'timereport_title_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'timereport_title_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50', 'db_index': 'True'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'timereport.transit': {
            'Meta': {'object_name': 'Transit'},
            'accepted': ('django.db.models.fields.NullBooleanField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'timereport_transit_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_time_in': ('django.db.models.fields.DateTimeField', [], {}),
            'date_time_out': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'employee': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'transits'", 'to': "orm['timereport.Employee']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'timereport_transit_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '21', 'db_index': 'True'})
        }
    }

    complete_apps = ['timereport']
