# coding: utf-8
"""
Settings per Timereport
=========================

"""


import os
from django.conf import settings

TIMEREPORT_MEDIA_ROOT = getattr(settings, 'TIMEREPORT_MEDIA_ROOT', os.path.split(os.path.realpath(__file__))[0]+'/static/')
TIMEREPORT_MEDIA_URL = getattr(settings, 'TIMEREPORT_MEDIA_URL', settings.MEDIA_URL + 'timereport/')

#######################
# TIMEREPORT SETTINGS #
#######################

# l'aunticazione avviene tramite badge personale. Altrimenti bisogna essere loggati
# e il transito viene associato direttamente all'utente collegato.
TIMEREPORT_AUTHENTICATED_BY_BADGE = getattr(settings, 'TIMEREPORT_AUTHENTICATED_BY_BADGE', False)

# tempo di attesa prima che venga effettuato il refresh della pagina dopo aver
# eseguito un transito (ingresso/uscita)
TIMEREPORT_TIME_REFRESH = getattr(settings, 'TIMEREPORT_TIME_REFRESH', 2)

## Le costanti DELTA_ADVANCE e DELTA_DELAY rappresentano i valori di default da utilizzare nel profilo del dipendente per determinare arrotondamenti degli orari di ingresso e uscita
#
TIMEREPORT_DELTA_ADVANCE = getattr(settings, 'TIMEREPORT_DELTA_ADVANCE', 15)
TIMEREPORT_DELTA_DELAY = getattr(settings, 'TIMEREPORT_DELTA_DELAY', 15)

TIMEREPORT_MAX_MINUTE_TO_EMAIL = getattr(settings, 'MAX_MINUTE_TO_EMAIL', 30)

#: Email delle persone che devono ricevere le richieste di permessei/malattie/ecc.
#: Può essere un callable per maggiori configurazioni. in quel caso viene chiamato con
#: l'oggetto period come argomento
TIMEREPORT_TO_MAIL = getattr(settings, 'TIMEREPORT_TO_MAIL', [])

#: From della mail di avviso richiesta ferie/malattina...
TIMEREPORT_FROM_MAIL = getattr(settings, 'TIMEREPORT_FROM_MAIL', "timereport@example.com")

#: host necessario per comporre il link per aprovazione ferie/...
TIMEREPORT_HOST = getattr(settings, 'TIMEREPORT_HOST', None)

#: True se esiste la procedura di approvazione (1^ livello). Se esiste
#: il transito è creato in stato non approvato
TIMEREPORT_NEED_APPROVAL1 = getattr(settings, 'TIMEREPORT_NEED_APPROVAL1', False)

