from datetime import datetime, time, timedelta

class Day(object):
    def __init__(self, day):
        self.day = day
        self.current_day = datetime(datetime.today().year, datetime.today().month, datetime.today().day)
        self.transits = []
        self.employees = []
        self.is_today = False
        self.is_holiday = False
        self.is_monday = False
        self.hide = False

    def hide_days(self, first_day):
        if self.day < first_day:
            self.hide = True

    def set_day_properties(self):
        # Se il giorno e' oggi metto is_today a true in modo che nel template potro'
        # differenziare questo giorno dagli altri
        #
        if self.day == self.current_day:
            self.is_today = True

        # Se il giorno e' festivo setto is_holiday a True in modo che nel template potro'
        # differenziare questi giorni dagli altri
        #
        if self.day.weekday() in (5,6):
            self.is_holiday = True

        if self.day.weekday() == 0:
            self.is_monday = True

    def set_transit(self, transit):
        self.transits = transit.get(self.day, [])

    def set_employee(self, employee):
        self.employees.append(employee)

    def add_transit(self, transit):
        self.transits.append(transit)

    def get_first_transit(self):
        if self.transits:
            return self.transits[0]
        return None

    def get_num_transits(self):
        return len(self.transits)


class EmployeeProperty(object):
    def __init__(self, employee):
        self.employee = employee
        self.total_time = None
        self.days = []

class Duration(object):
    def __init__(self, status):
        self.status = status
        self.duration = timedelta()
    
    def get_str_duration(self):
        return self.duration.__str__()